"""
This module provides function allowing to debug lambda

It requires:

    - python 3.12+ with luna-lambda-tools installed

    - valid `config.conf` with actual configuration in working directory

    - valid `lambda_main.py` in working directory
"""

from typing import Literal

from ..private.run_debug import run as _run


def run(lambdaType: Literal["standalone", "handlers"]):
    """Run lambda"""
    _run(lambdaType=lambdaType)
